Summary: The Data Display Debugger is a GUI for gdb and several other debuggers.
Name: ddd
Version: 3.0
Release: 2
Copyright: GPL or BSD
Group: Development/Debuggers
Source0: ftp://ftp.ips.cs.tu-bs.de/pub/local/softech/ddd/src/ddd-3.0.tar.gz
Source1: ftp://ftp.ips.cs.tu-bs.de/pub/local/softech/ddd/src/ddd-3.0-pics.tar.gz
Patch0: ddd-3.0-jbj.patch
URL: http://www.cs.tu-bs.de/softech/ddd/
BuildRoot: /var/tmp/ddd-root

%description
The Data Display Debugger is a very feature-rich, Motif-based,
graphical front end to several debuggers (gdb, dbx, and others). You will
need either Motif or LessTif installed in order to install DDD.

%prep
%setup -q -b 1
%patch0 -p1 -b .jbj

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/ddd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/ddd
/usr/man/man1/ddd.1
%doc doc/README doc/ddd.man.ps doc/ddd-paper.ps doc/sample.dddinit

%changelog
* Mon Oct 26 1998 Jeff Johnson <jbj@redhat.com>
- sparc ptrace wrapper patch.

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.0.
- new description/summary text.

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.99.1
- buildroot

* Wed Jan 28 1998 Otto Hammersmith <otto@redhat.com>
- updated to 2.2.3

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- updated to 2.2
